/****************************************************************************
** Options dialog - nothing fancy , just no frames and black background
**
**
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
***************************************************************************/


#ifndef OPTIONS_DIALOG_H
#define OPTIONS_DIALOG_H

#include <qdialog.h>
#include <qstring.h>


class QLineEdit;
class MenuButton;
class MenuButtonList;
class QComboBox;

class OptionsDialog : public QDialog
{ 
    Q_OBJECT

public:

    OptionsDialog( QString *currLevel,QString *thm,bool *se, bool *ar,bool *tl,int *gs,QWidget *parent=0,const char *name=0);
	


protected:
	virtual void paintEvent ( QPaintEvent * ) ; 
	virtual void resizeEvent ( QResizeEvent * );

protected slots:
    virtual void accept(); 


	
private slots:
	void buttonClicked(int);
	

private:	

    bool *ise;
    bool *iar;
    bool *itl;
    int  *igs;
    QString *ile;
    QString *the;
	QComboBox   *soundEffects;
    QComboBox   *abortConfirmation;
    QComboBox   *gameSpeed;
    QComboBox   *customLevel;
    QComboBox   *timeLimit;
    QComboBox   *themes;
	Key dko;
	Key dkc;
	MenuButton *OKButton;
	MenuButton *cancelButton;
	MenuButtonList *dButtonList; 

    static int sOptions[5];
};



#endif // OPTIONS_DIALOG_H



